
import pandas as pd
from sklearn import tree
import matplotlib.pyplot as plt
from sklearn.model_selection import train_test_split
from sklearn import metrics

#creating the resampled csv file for each feature

data = pd.read_csv('FactPuissance.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_FactPuissance=data.resample('30S').pad()
data_FactPuissance['value'][0] = 0.78
print(data_FactPuissance)

data = pd.read_csv('PuissanceReact.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_PuissanceReact=data.resample('30S').sum()
print(data_PuissanceReact)

data = pd.read_csv('PuissanceApp.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_PuissanceApp=data.resample('30S').sum()
print(data_PuissanceApp)

data = pd.read_csv('Courant.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_Courant=data.resample('30S').sum()
print(data_Courant)

data = pd.read_csv('Tension.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_Tension=data.resample('30S').sum()
print(data_Tension)

data = pd.read_csv('Four.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_Four=data.resample('30S').sum()
print(data_Four)

data = pd.read_csv('Television.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_Television=data.resample('30S').sum()
print(data_Television)

data = pd.read_csv('MachineALaver.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_MachineALaver=data.resample('30S').sum()
print(data_MachineALaver)

data = pd.read_csv('LaveVaisselle.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_LaveVaisselle=data.resample('30S').sum()
print(data_LaveVaisselle)

data = pd.read_csv('PlaquesInduction.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_PlaquesInduction=data.resample('30S').sum()
print(data_PlaquesInduction)

data = pd.read_csv('RobotsMenagers.csv', sep=",")
data['time'] = pd.to_datetime(data['time'])
pd.to_datetime(data['time'], format='%Y-%m-%dT%H:%M:%S')
data.set_index('time', inplace=True)
data_RobotsMenagers=data.resample('30S').sum()
print(data_RobotsMenagers)
"""
L=data_FactPuissance['value']
print(max(L))
"""